Bug 61007 - Weird swap usage / swap reporting?
Weird swap usage / swap reporting?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-11 14:56 EST by Uriah Welcome
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uriah Welcome 2002-03-11 14:56:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.3 (X11; Linux i686; U;) Gecko/20020214

Description of problem:
If I leave apache running for a specific ammount of time it starts eating into
swap.  So every once in a while I login stop apache and swapoff.  Here's where
it gets weird. 

Once apache is stopped it'll report N MB of free memory, but once I swapoff it
reports _more_ free memory.  I would assume since the kernel has to page the
swap into memory there should be less free memory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start apache + php4 (or postgresql)
2. serve 1M page views/day ;)
3. stop apache and swapoff (watch memory reporting before/after the swapoff)
	

Actual Results:  Here is some output for you.

usw-sf-web4:~# free
             total       used       free     shared    buffers     cached
Mem:       1027860     349584     678276          0       9528      15448
-/+ buffers/cache:     324608     703252
Swap:      2056304     285372    1770932
usw-sf-web4:~# swapoff -a
usw-sf-web4:~# free
             total       used       free     shared    buffers     cached
Mem:       1027860      69252     958608          0       9568      15456
-/+ buffers/cache:      44228     983632
Swap:            0          0          0


Expected Results:  I would assum that the ammout of free memory should decrease,
or that the inital ammout was really more than it says.

I have seen this behavior now on 5 systems, 4 webservers and 1 database server
(postgresql)

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.